import { s as l, M as u } from "./mwc-menu.css-BUjxqJjM.mjs";
import { r as m, i as v, e as f } from "./query-assigned-elements-D930kELM.mjs";
const p = "mwc-menu-surface{--mdc-theme-surface: var(--cv-theme-surface-container)}";
var i = Object.getOwnPropertyDescriptor, y = (r, a, o, n) => {
  for (var e = n > 1 ? void 0 : n ? i(a, o) : a, t = r.length - 1, c; t >= 0; t--)
    (c = r[t]) && (e = c(e) || e);
  return e;
};
let s = class extends u {
};
s.styles = [
  l,
  v`
      ${m(p)}
    `
];
s = y([
  f("cv-menu")
], s);
const h = s;
export {
  s as CovalentMenu,
  h as default
};
